org.apache.cassandra.cql3

## Interface AssignementTestable

All Known Subinterfaces:
  Term.MultiColumnRaw, Term.Raw

All Known Implementing Classes:
  AbstractMarker.INRaw, AbstractMarker.Raw, Constants.Literal, FunctionCall.Raw, Lists.Literal, Maps.Literal, Sets.Literal, Tuples.INRaw, Tuples.Literal, Tuples.Raw, TypeCast, UserTypes.Literal

    public interface AssignementTestable

### Method Summary

Methods
`boolean` `isAssignableTo(java.lang.String keyspace, ColumnSpecification receiver)`

### Method Detail

#### isAssignableTo

    boolean isAssignableTo(java.lang.String keyspace,
                         ColumnSpecification receiver)
                           throws InvalidRequestException

Returns:
  whether this object can be assigned to the provided receiver
Throws:
  `InvalidRequestException`